commit:     5a880e7bea3684dff80b9cf962560039cfa811d8
Author:     Ionen Wolkens <sudinave <AT> gmail <DOT> com>
AuthorDate: Wed Apr 14 12:42:19 2021 +0000
Commit:     Joonas Niilola <juippis <AT> gentoo <DOT> org>
CommitDate: Thu Apr 15 06:38:56 2021 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=5a880e7b

x11-misc/xearth: fix build with -native-symlinks

Closes: https://bugs.gentoo.org/726222
Signed-off-by: Ionen Wolkens <sudinave <AT> gmail.com>
Signed-off-by: Joonas Niilola <juippis <AT> gentoo.org>

 x11-misc/xearth/xearth-1.1-r1.ebuild | 12 +++++++-----
 1 file changed, 7 insertions(+), 5 deletions(-)

diff --git a/x11-misc/xearth/xearth-1.1-r1.ebuild 
b/x11-misc/xearth/xearth-1.1-r1.ebuild
index 52016d87ae1..cbd3a60f818 100644
--- a/x11-misc/xearth/xearth-1.1-r1.ebuild
+++ b/x11-misc/xearth/xearth-1.1-r1.ebuild
@@ -1,4 +1,4 @@
-# Copyright 1999-2020 Gentoo Authors
+# Copyright 1999-2021 Gentoo Authors
 # Distributed under the terms of the GNU General Public License v2
 
 EAPI=5
@@ -22,7 +22,7 @@ RDEPEND="
 "
 DEPEND="${RDEPEND}
        x11-base/xorg-proto
-       x11-misc/imake
+       >=x11-misc/imake-1.0.8-r1
        app-text/rman
 "
 
@@ -31,12 +31,14 @@ src_prepare() {
 }
 
 src_configure() {
-       xmkmf || die
+       CC="$(tc-getBUILD_CC)" LD="$(tc-getLD)" \
+               IMAKECPP="${IMAKECPP:-$(tc-getCPP)}" xmkmf || die
 }
 
 src_compile() {
-       emake CC=$(tc-getCC) \
-               CCOPTIONS="${CFLAGS}" \
+       emake \
+               CC="$(tc-getCC)" \
+               CDEBUGFLAGS="${CFLAGS}" \
                EXTRA_LDOPTIONS="${LDFLAGS}"
 }
 

Reply via email to